Bug 259180 - www/gatling: Mark BROKEN, hasn't built for months
Summary: www/gatling: Mark BROKEN, hasn't built for months
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Daniel Engberg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-15 06:42 UTC by Daniel Engberg
Modified: 2021-11-03 21:57 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (coco)


Attachments
Patch for gatling (743 bytes, patch)
2021-10-15 06:42 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg freebsd_committer 2021-10-15 06:42:30 UTC
Created attachment 228711 [details]
Patch for gatling

There's also a new version available

Various errors but most common seems to be "ld: error: duplicate symbol: first_deferred"

Reference: https://portsfallout.com/fallout?port=www%2Fgatling%24&page=1
Comment 1 Fernando Apesteguía freebsd_committer 2021-10-20 11:11:16 UTC
^Triage: Reporter is committer, assign accordingly.
Comment 2 commit-hook freebsd_committer 2021-11-03 21:54:50 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=20df5227d7eac6caac456b68c359a5116f7d76fa

commit 20df5227d7eac6caac456b68c359a5116f7d76fa
Author:     Daniel Engberg <diizzy@FreeBSD.org>
AuthorDate: 2021-11-03 21:24:50 +0000
Commit:     Daniel Engberg <diizzy@FreeBSD.org>
CommitDate: 2021-11-03 21:53:43 +0000

    www/gatling: Mark BROKEN

    Gatling hasn't built for months and there's also a new version available.
    Various errors but most common seems to be:
    "ld: error: duplicate symbol: first_deferred"

    Reference: https://portsfallout.com/fallout?port=www%2Fgatling%24&page=1

    PR:             259180
    Reported by:    pkg-fallout
    Approved by:    port maintainer timeout (2+ weeks), arrowd (mentor)
    Differential Revision:  https://reviews.freebsd.org/D32769

 www/gatling/Makefile | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)
Comment 3 Daniel Engberg freebsd_committer 2021-11-03 21:57:07 UTC
Committed